curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇮🇳 印度
印度驾照(RTO)验证 API
印度驾照(RTO):通过 Didit 身份基础设施进行权威的印度数据库核验。按次计费,起价 $0.15,无合同,无最低消费。
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
依据印度各邦道路运输管理局的数据库核验输入数据。Didit 通过
POST /v3/database-validation/ 提供此服务,使您能够将提交的数据与权威数据源进行核验,并获取标准化的匹配结果。
覆盖范围
- 覆盖范围: > 75%
- 国家/地区: 印度
- 服务 ID:
ind_drivers_licence - 数据领域: 证件
- 类别: DriverLicence
输入
| 字段 | 必填 | 示例 |
|---|---|---|
full_name | 是 | John Doe |
date_of_birth | 是 | 1990-01-01 |
driver_license_number | 是 | SAMPLE-DL-12345 |
address.street_1 | 否 | 123 Sample Street |
address.street_2 | 否 | Unit 4 |
address.city | 否 | Sample City |
address.region | 否 | Sample State |
address.postal_code | 否 | 10001 |
vendor_data | 否 | user-1234 |
- 必填输入:
full_name、date_of_birth、driver_license_number - 可选输入:
address.street_1、address.street_2、address.city、address.region、address.postal_code、vendor_data - 同意: 必需
- 工作流可用性: 可在工作流中使用
- 覆盖范围: > 75%
- 价格: 每次成功查询 $0.15
请求体参数
string
默认值:"IND"
必填
该数据库服务使用的 ISO 3166-1 alpha-3 国家/地区代码。示例:
INDstring
默认值:"ind_drivers_licence"
必填
包含此服务 ID 的数组。固定服务可使请求仅限于该特定数据库。示例:
ind_drivers_licenceboolean
默认值:"true"
必填
终端用户对此服务的明确同意。示例:
truestring
默认值:"John Doe"
必填
需要验证的完整法定姓名。示例:
John Doestring
默认值:"1990-01-01"
必填
出生日期,格式为
YYYY-MM-DD。示例:1990-01-01string
默认值:"SAMPLE-DL-12345"
必填
驾照号码。示例:
SAMPLE-DL-12345object
结构化的居住地址对象。请使用
street_1、street_2、city、region、postal_code 和 country。仍接受完整的旧式地址字符串,但不推荐使用。示例:{"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
默认值:"user-1234"
贵方对该用户的稳定用户标识,例如内部用户 ID。Didit 使用该标识将独立检查关联到同一终端用户,并减少重复检测的干扰。示例:
user-1234输入规则与验证说明
- 对于此服务,
address为可选项。您可以发送一个完整的address字符串,Didit 会在可能时将其拆分为结构化地址元素;您也可以直接显式发送结构化字段。 - 对于地址类服务,应尽可能发送结构化地址字段,而不是单个
address字符串。 address.street_1为街道地址,包括门牌号和街道类型。address.street_2为公寓、单元、楼栋、楼层或其他地址行。仅在有此信息时发送。address.city为城市、郊区、区、地方或社区。address.region为州、省、地区或城镇。address.postal_code为邮政编码。- 基于地址的数据库服务至少需要街道地址和邮政编码;在查询数据源之前被拒绝的请求不收费。
调用方法
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
每次成功调用都返回 HTTP
200。outcome_code 字段说明实际发生的情况,例如能够区分真正的生物识别不匹配(BIOMETRIC_NO_MATCH)与无法读取的自拍照(BIOMETRIC_IMAGE_UNUSABLE)。所示的 status 为默认功能状态;您配置的部分匹配与不匹配操作可以覆盖它。MATCH:注册库已确认身份,且所有已检查的字段均匹配。{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH:已找到身份号码,但一个或多个个人字段(通常是姓名或出生日期)未完全匹配。{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH:注册库未返回与所提交数据匹配的结果。{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
返回数据
source_data 中实际返回的具体字段取决于注册库返回的内容。ind_drivers_licence 的自动生成示例目前记录了以下标准化结构:
addressaddress_match_scoredate_of_birthidentification_number
定价与 SLA
印度驾照(RTO)查询仅在 Didit 从验证数据源获得明确结果时计费。- 单次调用价格: $0.15 USD。
- 计费方式: 按每次成功的查询计费。注册库无法访问、必填字段缺失,或请求在到达数据源之前被拒绝时,不收费。
- 延迟: 典型 p95 延迟低于 2 秒。
- 可用性: Didit 侧每季度 99.9%;下游数据源的可用性因国家和数据集而异。
继续阅读
最后修改于 2026年11月7日